window.Gleam.initSearch([{"doc":"gluon","title":"gluon","content":"# gluon\n\n[![Package Version](https://img.shields.io/hexpm/v/gluon)](https://hex.pm/packages/gluon)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gluon/)\n\nA Gleam Redis client\n\n## Quick start\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n\n## Installation\n\n```sh\ngleam add gluon\n```\n\n## Usage\n\n```rust\nimport gluon\n\npub fn main() {\n  let socket = gluon.open(&quot;localhost&quot;, 6379) // Socket\n  let result = gluon.set(socket, &quot;key&quot;, &quot;value&quot;) // Result(String, String)\n  let result = gluon.get(socket, &quot;key&quot;) // Result(String, String)\n  let custom_command = gluon.send_command(socket, &quot;MSET key1 value1 key2 value2&quot;) // ResulT(String, String)\n  let _ = gluon.close(socket)\n}\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/gluon&gt;.\n","url":"index.html"},{"doc":"internal/gluon_utils","title":"attempt","content":"pub fn attempt(result: Result(a, b), default_error: String, fun: fn(\n    a,\n  ) -&gt; Result(c, String)) -&gt; Result(c, String)\n\nSynonyms:\ninternal/gluon_utils.attempt\ninternal/gluon_utils attempt","url":"internal/gluon_utils.html#attempt"},{"doc":"internal/gluon_utils","title":"generate_regex","content":"pub fn generate_regex(pattern: String) -&gt; Result(Regex, String)\n\nSynonyms:\ninternal/gluon_utils.generate_regex\ninternal/gluon_utils generate_regex","url":"internal/gluon_utils.html#generate_regex"},{"doc":"internal/gluon_utils","title":"replace_with_regex","content":"pub fn replace_with_regex(in string: String, each pattern: Regex, with substitute: String) -&gt; String\n\nSynonyms:\ninternal/gluon_utils.replace_with_regex\ninternal/gluon_utils replace_with_regex","url":"internal/gluon_utils.html#replace_with_regex"},{"doc":"internal/gluon_utils","title":"internal/gluon_utils","content":"","url":"internal/gluon_utils.html"},{"doc":"internal/tcp_client","title":"ClientMessage","content":"pub type ClientMessage {\n  ReceiveMessage(BitString)\n  SendMessage(BitBuilder)\n  Close\n}\n\nReceiveMessage(BitString)\n\n\nSendMessage(BitBuilder)\n\n\nClose\n\n\nSynonyms:\ninternal/tcp_client.ClientMessage\ninternal/tcp_client ClientMessage","url":"internal/tcp_client.html#ClientMessage"},{"doc":"internal/tcp_client","title":"init","content":"pub fn init(host: String, port: Int) -&gt; #(\n  Subject(ClientMessage),\n  Subject(ClientMessage),\n)\n\nSynonyms:\ninternal/tcp_client.init\ninternal/tcp_client init","url":"internal/tcp_client.html#init"},{"doc":"internal/tcp_client","title":"internal/tcp_client","content":"","url":"internal/tcp_client.html"},{"doc":"gluon","title":"Socket","content":"pub type Socket =\n  #(Subject(ClientMessage), Subject(ClientMessage))\n\n\nSynonyms:\ngluon.Socket\ngluon Socket","url":"gluon.html#Socket"},{"doc":"gluon","title":"close","content":"pub fn close(socket: #(Subject(ClientMessage), a)) -&gt; Result(\n  Nil,\n  b,\n)\n\nSynonyms:\ngluon.close\ngluon close","url":"gluon.html#close"},{"doc":"gluon","title":"del","content":"pub fn del(socket: #(\n    Subject(ClientMessage),\n    Subject(ClientMessage),\n  ), key: String) -&gt; Result(Int, String)\n\nSynonyms:\ngluon.del\ngluon del","url":"gluon.html#del"},{"doc":"gluon","title":"get","content":"pub fn get(socket: #(\n    Subject(ClientMessage),\n    Subject(ClientMessage),\n  ), key: String) -&gt; Result(String, String)\n\nSynonyms:\ngluon.get\ngluon get","url":"gluon.html#get"},{"doc":"gluon","title":"llen","content":"pub fn llen(socket: #(\n    Subject(ClientMessage),\n    Subject(ClientMessage),\n  ), key: String) -&gt; Result(Int, String)\n\nSynonyms:\ngluon.llen\ngluon llen","url":"gluon.html#llen"},{"doc":"gluon","title":"lpush","content":"pub fn lpush(socket: #(\n    Subject(ClientMessage),\n    Subject(ClientMessage),\n  ), key: String, value: String) -&gt; Result(Int, String)\n\nSynonyms:\ngluon.lpush\ngluon lpush","url":"gluon.html#lpush"},{"doc":"gluon","title":"lrange","content":"pub fn lrange(socket: #(\n    Subject(ClientMessage),\n    Subject(ClientMessage),\n  ), key: String, start: Int, stop: Int) -&gt; Result(\n  List(String),\n  String,\n)\n\nSynonyms:\ngluon.lrange\ngluon lrange","url":"gluon.html#lrange"},{"doc":"gluon","title":"open","content":"pub fn open(host: String, port: Int) -&gt; #(\n  Subject(ClientMessage),\n  Subject(ClientMessage),\n)\n\nSynonyms:\ngluon.open\ngluon open","url":"gluon.html#open"},{"doc":"gluon","title":"ping","content":"pub fn ping(socket: #(\n    Subject(ClientMessage),\n    Subject(ClientMessage),\n  )) -&gt; Result(String, String)\n\nSynonyms:\ngluon.ping\ngluon ping","url":"gluon.html#ping"},{"doc":"gluon","title":"send_command","content":"pub fn send_command(socket: #(\n    Subject(ClientMessage),\n    Subject(ClientMessage),\n  ), command: String) -&gt; Result(String, String)\n\nSynonyms:\ngluon.send_command\ngluon send_command","url":"gluon.html#send_command"},{"doc":"gluon","title":"set","content":"pub fn set(socket: #(\n    Subject(ClientMessage),\n    Subject(ClientMessage),\n  ), key: String, value: String) -&gt; Result(String, String)\n\nSynonyms:\ngluon.set\ngluon set","url":"gluon.html#set"},{"doc":"gluon","title":"gluon","content":"","url":"gluon.html"}]);